Subject: Re: bug#20628: 25.0.50; Incorrect line height for some fonts

From: Werner LEMBERG <[email-masked]>
Date: Sat, 23 May 2015 11:57:31 +0200 (CEST)

> IMHO the bes solution is to completely ignore font-wide ascender and
> descender values.  Instead, use the TeX approach: set the line gap
> to the current size of the font, multiplied by a factor of 1.2 (and
> make this configurable on a font-by-font basis in case it isn't
> already), and increase the linegap if individual glyphs need it.

I have to correct myself: The linegap should apply to all fonts, of
course.  To make various fonts optically fit a per-font scaling factor
should be used (what Emacs already provides, I think).

> As a corollary, the only question is how to compute a proper default
> linegap value without relying on quirks caused by incompatible font
> formats and font metric data.

And for this default linegap value I suggest the abovementioned value:

  linegap_default = 1.2 * font_size

    Werner